<!-- page content -->

<div>
    <div class="row">
        <div class="col-md-12">
            <div class="clearfix"></div>
            <ul class="nav nav-tabs bar_tabs tab-shift" id="myTab" role="tablist">
                <!-- <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#updates" role="tab"
                        aria-controls="updates" aria-selected="true">Updates</a>
                </li> -->
                <li class="nav-item" *ngFor="let ntf of displayNotifications | keyvalue; let i = index;">
                    <a class="nav-link text-capitalize" data-toggle="tab" 
                        href="#{{'notify'+i}}" role="tab" [ngClass]="{'active' : key == ntf.key}"
                        aria-controls="asset-view" aria-selected="false" (click)="key=ntf.key">{{ntf.key}}
                        <span class="badge badge-tab badge-pill badge-primary">{{ntf.value.length}}</span>
                    </a>
                </li>
            </ul>

            <div class="result-count"> Total {{totalNotificationCount}} Results </div>

            <div class="c-box">
            
            <div class="tab-content tab-sizing" id="myTabContent">

                <div class="tab-pane fade show active tab-data" role="tabpanel">
                    <!-- <h6 class="notification-header text-capitalize">{{ntf.key}}<span class="text-right">
                        <a class="view-transform">View</a></span></h6>
                    <hr> -->
                    <div>  
                    <div class="row">
                        <div class="col-md-12 mt-3 c-border" *ngFor="let val of displayNotifications[key] | orderByAlphabetically : 'event_instance_id':true ">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <em class="fa fa-bullhorn notification-horn-icon"></em>
                                <span class="posted-on"> {{i18Labels?.Posted}} {{val?.sent_on | date}}</span>
                                <!-- <div class="posted-on">
                                    {{i18Labels?.Posted}} {{val?.sent_on | date}}
                                </div> -->
                            </div>
                            <div class="col-md-12 col-sm-12 col-xs-12 mt-3">
                                <div class="posted-file">
                                    <!-- <a href="javascript:void(0);">{{val?.detail}}</a> -->
                                    <div class="c-wrap" [innerHTML]="val?.detail"></div>
                                    <span class="text-right"> 
                                        <em class="ntf-arrow-right fa fa-angle-down" aria-hidden="true"></em>
                                    </span>
                                </div>
                            </div>
                            <!-- <hr class="inner-hr"> -->
                        </div>
                    </div>
                    <!-- <hr class="inner-hr"> -->
                    </div>
                </div>
            </div>

            
            </div>

        </div>
    </div>
</div>

<!-- page content -->